> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offer_postbacks/get_a_postback_by_id.md).

# Get a Postback by id

| HTTP method | Endpoint                                    |
| ----------- | ------------------------------------------- |
| **GET**     | **/aff/v1/offer\_postbacks/{postback\_id}** |

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter    | Description                               |
| ------------ | ----------------------------------------- |
| postback\_id | The unique id for the affiliate postback. |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field         | Type    | Description                                                                         |
| ------------- | ------- | ----------------------------------------------------------------------------------- |
| id            | integer | Affiliate postback id.                                                              |
| offer\_id     | integer | Offer id.                                                                           |
| affiliate\_id | integer | Affiliaite id                                                                       |
| event\_id     | integer | Event id.                                                                           |
| code          | string  | Code.                                                                               |
| status        | string  | Status of Postback.  Pending;  Approved;  rejected                                  |
| type          | string  | Type of code.  0: Global Postback   1:Image Pixel;   2:Postback URL;   3:HTML Pixel |
| create\_time  | integer | Create time.                                                                        |
| update\_time  | integer | Update time.                                                                        |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/offer_postbacks/51>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/offer_postbacks/51>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_postback": {
          "id": 51,
          "offer_id": 5,
          "affiliate_id": 161,
          "event_id": 1,
          "type": 2,
          "code": "http://offerslook.com",
          "status": "pending",
          "create_time": 1467777333,
          "update_time": 1467777333
        }
      }
    }
```
